Przejdź do głównej zawartości

System Information

Ta treść nie jest jeszcze dostępna w Twoim języku.

Returns unique information about the current device, including model, firmware version, MAC address, and public key.

GET /api/identify/

Access Level: 🟨 1

Response:

FieldTypeDescription
manufacturerNamestringDevice manufacturer.
labelNamestringDevice model name.
deviceIdintegerManufacturer’s device identifier.
firmwareTypeintegerFirmware type (e.g., basic, extended, etc.).
firmwareVerintegerFirmware version.
releaseDatestringRelease date and time in ISO 8601 format.
macAddressstring / nullEthernet interface MAC address, or null, if uniqueness is not confirmed.
devicePublicKeystring / nullDevice public key for authentication and secure cloud server connection, or null, if the key is not generated yet, and MC261 requires calibration.
cloudRegisteredbooleanFlag indicating if the device has its cloud registration data stored. If false, the device has to be registered on the cloud server.
pinCodestring / nullCloud registration PIN code (also available on the device label), or null if unknown.

Example Response:

{
"manufacturerName": "Overvis Ltd.",
"labelName": "MC261",
"deviceId": 49,
"firmwareType": 1,
"firmwareVer": 50,
"releaseDate": "2026-10-13T08:57:04Z",
"macAddress": "AA:BB:CC:DD:EE:FF",
"devicePublicKey": "vutsrqponmlkjihgfedcbaUTSRQPONMLKJIHGFEDCBA=",
"cloudRegistered": true,
"pinCode": "ABCDEFGH"
}

GET /api/version/

Access Level: 🟩 0

Response:

FieldTypeDescription
manufacturerNamestringDevice manufacturer.
labelNamestringDevice model name.
deviceIdintegerManufacturer’s device identifier.
firmwareTypeintegerFirmware type (e.g., basic, extended, etc.).
firmwareVerintegerFirmware version.
releaseDatestringRelease date and time in ISO 8601 format.

Example Response:

{
"manufacturerName": "Overvis Ltd.",
"labelName": "MC261",
"deviceId": 49,
"firmwareType": 1,
"firmwareVer": 50,
"releaseDate": "2026-10-13T08:57:04Z"
}

Retrieves the current state of the device by key.

GET /api/state/get/?key&...

Access Level: 🟨 1

Available Keys:

Returns information about the current Ethernet connection state.

Response Fields:

FieldTypeDescription
ipstring / nullCurrent IP address assigned to the device, or null if not assigned.
macstringEthernet interface MAC address.
linkUpbooleanIndicates if there is an active link.

Example Response:

{
"ethernet": {
"ip": "192.168.1.153",
"mac": "d8:80:39:69:0e:6d",
"linkUp": true
}
}

Returns information about the current Wi-Fi interface state.

Response Fields:

FieldTypeDescription
wifiobject
signalLevelinteger / nullWi-Fi signal level (percents), or null if Wi-Fi is not started.
isTcpIpBusybooleanIndicates if the Wi-Fi interface TCP/IP stack is busy.
ipstring / nullCurrent IP address assigned to the device, or null if not assigned.
gatestring / nullIP address of the access point, which the device is connected to, or null if unknown.
joinedbooleantrue if the device (working int station mode) has joined the access point.
apChannelinteger / nullThe access point channel (if the device is working in access point mode), or null, if not assigned.
macstringWi-Fi interface MAC address.
ssidstring / nullAccess point name, or null, if not assigned.
txPowerPercentintegerTransmit signal power limit, 20.5dBm * x
trafficTotalintegerTotal data transferred via Wi-Fi interface (in bytes), from the interface start.

Example Response:

{
"wifi": {
"signalLevel": 62,
"isTcpIpBusy": false,
"ip": "192.168.1.121",
"gate": "192.168.1.1",
"joined": true,
"apChannel": null,
"mac": "D8:0E:14:33:12:58",
"ssid": "Gateway2.4",
"txPowerPercent": 100,
"trafficTotal": 15000
}
}

Returns information about the current VPN (WireGuard) connection state.

Response Fields:

FieldTypeDescription
linkStatestringConnection state:
disabled - VPN disabled in settings;
netifCreated - Network interface created;
peerConfigured - Peer connection configured;
peerConnected - Connection to peer established;
peerUp - VPN tunnel is up and running.
configServerReachedboolean / nullConfiguration server availability.
lastPeerUpstring / nullTime of last peer connection (ISO 8601), or null.
netifIpstring / nullVPN interface IP address, or null.
netifMaskstring / nullVPN interface subnet mask, or null.
peerIpstring / nullRemote peer IP address, or null.
peerPortintegerRemote peer port.
interfacestring / nullConnection interface: eth, wifi, or null.
configStatestringConfiguration state:
errorKey - Error: invalid key;
errorMem - Error: insufficient memory;
disabled - VPN disabled in settings;
pause - Delay between configuration attempts;
serverHostnameResolving - Resolving config server hostname;
serverConnecting - Connecting to config server;
serverConnected - Connected, receiving peer config;
peerHostnameResolving - Resolving peer hostname;
ready - Configuration received and ready.
ownPubKeystringDevice’s own public key.

Example Response:

{
"vpn": {
"linkState": "disabled",
"configServerReached": false,
"lastPeerUp": null,
"netifIp": "0.0.0.0",
"netifMask": "0.0.0.0",
"peerIp": "0.0.0.0",
"peerPort": 0,
"interface": null,
"configState": "disabled",
"ownPubKey": "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="
}
}

Modbus TCP cloud connection state.

Response Fields:

FieldTypeDescription
statestringCurrent connection state (disabled, waiting, connecting, connected).
waitingTimeSecinteger / nullTime waiting for connection, in seconds.
interfacestring / nullConnection interface: eth, wifi, wg, or null.
remoteIpstring / nullServer IP address, or null.
remotePortintegerServer remote port.
connectionTimeSecintegerTime since connection established, in seconds.
idleTimeSecintegerConnection idle time, in seconds.
activationWithCodestring / nullActivation state:
unused - Device has not received activation code;
activated - Device is activated and bound to network;
set - Device received code and awaits binding;
null - No connection or error.
activationCodestring8-digit device activation code.

Example Response:

{
"mbTcpCallback": [
{
"state": "connected",
"waitingTimeSec": 0,
"interface": "eth",
"remoteIp": "192.168.0.205",
"remotePort": 8502,
"connectionTimeSec": 504,
"idleTimeSec": 325
}
]
}

Firmware update process state.

Response Fields:

FieldTypeDescription
updateStatestringUpdate state:
SAVED_FILE_UNKNOWN - Update file not found;
CARD_ABSENT - SD card not installed;
CARD_NOT_READY - SD card not ready;
CARD_FILES_CHECKING - Checking update files on SD card;
CARD_FILE_UPDATED_READY - Update file on SD card ready;
FILE_VERSION_MATCHES_ACTIVE - File version matches current.
downloadStatestringDownload state:
SERVER_FILE_UNKNOWN - File on server not determined;
DOWNLOADER_BUSY - Downloader busy;
CARD_ABSENT - SD card not installed;
CARD_NOT_READY - SD card not ready;
CARD_FILES_CHECKING - Checking files on SD card;
SERVER_FILE_UPDATED_READY - File on server ready for download;
SERVER_FILE_DOWNLOADING - Downloading file;
DOWNLOADED_FILE_CHECKING_INTEGRITY - Checking integrity;
DOWNLOADED_FILE_CHECKING_APPLICABILITY - Checking compatibility;
DOWNLOADED_FILE_SAVING - Saving file to SD card;
SERVER_FILE_VERSION_MATCHES_SAVED - Server version matches saved.
urlstring / nullFirmware file URL or null.
isAutomaticDowngradeEnabledbooleanIndicates if the firmware may be automatically downgraded.
progressstring / nullDownload progress percentage (0.00 – 100.00) or null.
errorCodestring / nullError code if any, or null. Common codes:
ERROR_FR_DISK_ERR - Low-level disk error;
ERROR_FR_INT_ERR - Internal file system error;
ERROR_FR_NOT_READY - Media not ready;
ERROR_FR_NO_FILE - File not found;
ERROR_FR_DENIED - Access denied;
ERROR_FR_EXIST - File already exists;
ERROR_FR_WRITE_PROTECTED - Write protected;
ERROR_FR_NOT_ENOUGH_CORE - Not enough memory;
ERROR_HTTP_RESPONSE - General HTTP error;
ERROR_CONNECT - TCP connection error;
ERROR_RESPONSE_TIMEOUT - Server timeout.
availableVersioninteger / nullFirmware version available for download, or null.
savedVersioninteger / nullFirmware version saved on SD card, or null.
currentVersionintegerCurrently installed firmware version.

Example Response:

{
"fwUpdate": {
"updateState": "SAVED_FILE_UNKNOWN",
"downloadState": "SERVER_FILE_DOWNLOADING",
"errorCode": null,
"url": "static.overvis.com/assets/firmware/MC261-5-1/MC261-5-1-current.fus",
"isAutomaticDowngradeEnabled": true,
"progress": "0.0",
"availableVersion": 50,
"savedVersion": 48,
"currentVersion": 48
}
}

LoRa interface state.

Response Fields:

FieldTypeDescription
isStartedbooleantrue - interface is started, false - is not started yet.
isTransmittingbooleantrue - MC261 is transmitting to a device, false - MC261 is listening for devices transmissions.
uplinkFrequencyKhzintegerDevices to МС261 transmission frequency, kHz
downlinkFrequencyKhzintegerМС261 to devices transmission frequency, kHz
bandwidthDividerintegerBandwidth divider, 1000kHz / x
spreadingFactorintegerSpreading factor
codingRateDividerintegerCoding rate divider, 4 / x
txPowerPercentintegerTransmission signal power limit in percents, 17dBm * x
trafficTotalintegerTraffic net amount in bytes, from the interface start.

Example Response:

{
"lora": {
"isStarted": true,
"isTransmitting": false,
"uplinkFrequencyKhz": 868175,
"downlinkFrequencyKhz": 868100,
"bandwidthDivider": 16,
"spreadingFactor": 7,
"codingRateDivider": 5,
"txPowerPercent": 100,
"trafficTotal": 15
}
}

LoraSens bound devices states.

Response Fields:

FieldTypeDescription
didstringDevice unique identifier.
batteryChargePercentintegerDevice reported battery charge. 100 - battery full, or external power supply. 0 - measurement accuracy and link schedule are no longer guaranteed.
recordsSpaceUsagePercentinteger / nullJournal memory usage. 0 - journal is empty. 1 - at least 1 record ready. 99 - there is space for at least 1 more record. 100 - journal full, new records may be lost, null - unknown.
advLastDatastringHexadecimal bytes string specific for this device model and firmware.
nextScheduledOnstringTime of the next expected link with the device (ISO 8601, UTC0).
rxTotalBytesintegerDevice reception traffic in bytes, from the interface start.
rxLastOnstringLast link time (ISO 8601, UTC0).
rxSignalDbmintegerSignal level of the last reception from the device, dBm.
txTotalBytesintegerDevice transmission traffic in bytes, from the interface start.
txLastOnstring / nullLast link transmission time (ISO 8601, UTC0).
txSignalDbminteger / nullSignal level of the pre-last reception by the device, dBm.
packetsLostintegerNumber of packet losses, from the interface start.
activeTillstring / nullTime to end the extra link sessions (ISO 8601, UTC0), or null if scheduled links are used.
activePeriodSecinteger / nullShortened link period for the extra link sessions, in seconds, or null if scheduled links are used.
activeFlagsstring / nullRequest flags for the extra link sessions. Hexadecimal string of bytes specific for this device model and firmware, or null if no request.

Example Response:

{
"lorasensDevices": [
{
"did": "286593735491",
"deviceTimeSec": 91451,
"batteryChargePercent": 97,
"recordsSpaceUsagePercent": 1,
"advLastData": "000156228000000080000000800000008000000080000000800000008000000080000000",
"nextScheduledOn": "2026-05-17T16:27:33Z",
"rxTotalBytes": 537,
"rxLastOn": "2026-05-17T16:26:32Z",
"rxSignalDbm": -84,
"txTotalBytes": 164,
"txLastOn": "2026-05-17T16:26:33Z",
"txSignalDbm": -79,
"packetsLost": 2,
"activeTill": null,
"activePeriodSec": 3,
"activeFlags": "01"
}
]
}

List of devices available to be bound.

Response Fields:

FieldTypeDescription
didstringDevice unique identifier.
rxLastOnstringOffer last reception time (ISO 8601, UTC0).
rxSignalDbmintegerSignal level of receptions from the device, dBm.
bindStartedOnstringBind offer first reception time (ISO 8601, UTC0).
deviceKindCodeintegerDevice manufacturer’s identifier (43 - LTH-1, 44 - LWG-1).
firmwareVersionintegerDevice firmware version.
uplinkFrequencyKhzintegerDevice to МС261 transmission frequency, kHz
downlinkFrequencyKhzintegerМС261 to device transmission frequency, kHz
bandwidthDividerintegerBandwidth divider, 1000kHz / x
spreadingFactorintegerSpreading factor
codingRateDividerintegerCoding rate divider, 4 / x
previouslyBoundTitlestring / nullUser device name at previous bind (if re-bound), or null for a new device.

Example Response:

{
"lorasensUnbound": [
{
"did": "136513745699",
"rxLastOn": "2026-05-17T16:26:32Z",
"rxSignalDbm": -84,
"bindStartedOn": "2026-05-17T16:27:11Z",
"deviceKindCode": 43,
"firmwareVersion": 27,
"uplinkFrequencyKhz": 868175,
"downlinkFrequencyKhz": 868100,
"bandwidthDivider": 16,
"spreadingFactor": 7,
"codingRateDivider": 5,
"previouslyBoundTitle": "Sensor 15"
}
]
}

List of active Modbus TCP server connections.

Response Fields:

FieldTypeDescription
isActivebooleanIndicates if the server is running.
listenPortEthintegerPort for Ethernet clients.
listenPortWifiintegerPort for Wi-Fi clients.
clientsarrayArray of client objects.

Client Object Fields:

FieldTypeDescription
interfacestringConnection interface: eth, wifi, wg.
remoteIpstringRemote client IP address.
remotePortintegerRemote client TCP port.
connectionTimeSecintegerTime from the connection establishment (in seconds).
idleTimeSecintegerTime of the connection silence pause (in seconds).

Example Response:

{
"mbTcpServer": {
"isActive": true,
"listenPortEth": 502,
"listenPortWifi": 502,
"clients": [
{
"interface": "eth",
"remoteIp": "192.168.1.28",
"remotePort": 54274,
"connectionTimeSec": 46,
"idleTimeSec": 0
}
]
}
}

State of Modbus TCP clients.

Response Fields:

FieldTypeDescription
statestringCurrent state (waiting, connected, connecting).
waitingTimeSecinteger / nullTime waiting for connection, in seconds.
interfacestringConnection interface: eth, wifi, wg or null.
remoteIpstringClient IP address.
remotePortintegerClient remote port.
connectionTimeSecintegerTime since connection established, in seconds.
idleTimeSecintegerConnection idle time, in seconds.

Example Response:

{
"mbTcpClients": [
null,
{
"state": "connected",
"waitingTimeSec": 0,
"interface": "eth",
"remoteIp": "192.168.0.111",
"remotePort": 55234,
"connectionTimeSec": 600,
"idleTimeSec": 543
},
null
]
}

Device operation statistics.

Response Fields:

FieldTypeDescription
serialAvgPerSecReqintegerAverage RS-485 request rate (req/sec).
serialAvgPerSecRespintegerAverage RS-485 response rate (resp/sec).
serialAvgPerSecLoadintegerAverage RS-485 load (%/sec).
serialMaxPerSecLoadintegerMaximum RS-485 load (%/sec).
serialAvgPerMinLoadintegerAverage RS-485 load (%/min).
serialMaxPerMinLoadintegerMaximum RS-485 load (%/min).
mbAvgPerSecReqintegerAverage Modbus request rate (req/sec).
mbAvgPerSecRespintegerAverage Modbus response rate (resp/sec).
mbMaxPerSecReqintegerMaximum Modbus request rate (req/sec).
ethAvgPerSecKbstringAverage Ethernet data rate (KB/sec).
ethMaxPerSecKbstringMaximum Ethernet data rate (KB/sec).
wifiAvgPerSecKbstringAverage Wi-Fi data rate (KB/sec).
wifiMaxPerSecKbstringMaximum Wi-Fi data rate (KB/sec).
mbTcpServerMaxClientsintegerMaximum number of clients on Modbus TCP server.
runTimeMinintegerUptime since last reboot (minutes).
totalRunTimeMinintegerTotal device uptime (minutes).

Example Response:

{
"statistics": {
"serialAvgPerSecReq": 6,
"serialAvgPerSecResp": 0,
"serialAvgPerSecLoad": 93,
"serialMaxPerSecLoad": 94,
"serialAvgPerMinLoad": 0,
"serialMaxPerMinLoad": 0,
"mbAvgPerSecReq": 6,
"mbAvgPerSecResp": 0,
"mbMaxPerSecReq": 6,
"ethAvgPerSecKb": "0.0",
"ethMaxPerSecKb": "3.3",
"wifiAvgPerSecKb": "0.0",
"wifiMaxPerSecKb": "0.0",
"mbTcpServerMaxClients": 0,
"runTimeMin": 1,
"totalRunTimeMin": 6971
}
}

Task files and programmable logic state information.

Example Request:

GET /api/state/get/?memTaskfiles

Response Fields:

FieldTypeDescription
filesFoundinteger / nullNumber of task files found on the SD card, or null if undetermined.
loadedOnstring / nullDate and time when task files were loaded (ISO 8601), or null.
heapUsedBinteger / nullMemory used for task execution in bytes, or null.
errorFilestring / nullFile where the first error was found, or null if there are none.
errorLineinteger / nullLine number of the first error, or null if there are none.
errorCodestring / nullTask file compilation error code, or null if there are none.
tasksarrayArray of loaded task objects.

Compilation Error Codes:

CodeDescription
ERROR_IOI/O error while processing a task file.
ERROR_OUT_OF_MEMORYNot enough memory to process a task file.
ERROR_NO_PATHCannot open the task files directory.
ERROR_NO_FILECannot open a task file.
ERROR_LINE_UNRECOGNIZEDExpected an explicit line type such as DEF, PUT, IF, or DO.
ERROR_ITEM_NAMEName is too long or invalid.
ERROR_UNKNOWN_TYPEToo many elements or the line type cannot be determined.
ERROR_EXPECTED_ASTERISKUnterminated string escape sequence.
ERROR_ITEM_REFInvalid item reference.
ERROR_ILLEGAL_ARGUMENTImmediate value is outside the allowed range.
ERROR_EXPECTED_SEPARATORMore elements expected, or unexpected item name found.
ERROR_VALUE_BITSIZE_UNSUPPORTEDThis value bit size is not supported.
ERROR_EXPECTED_DOUBLE_QOUTESUnterminated string literal.
ERROR_EXPECTED_EOLTask file line is too long.
ERROR_VERSION_UNSUPPORTEDTask file version is not supported.
ERROR_CRCTask data corruption detected (CRC mismatch).
ERROR_UID_BROADCASTBroadcast UID 0 cannot be used for reading.
ERROR_FILE_FORMAT_UNSUPPORTEDUnsupported file format. Try UTF-8 or ASCII.
ERROR_NAME_RESERVEDReserved word used as an item name.
ERROR_NAME_ALREADY_DEFINEDDuplicate item names.
ERROR_UNSATISFIED_FORWARD_DECLARATIONReference to a missing item.
ERROR_STRING_FUNCTION_ARGUMENT_TOO_SHORTString function argument is too short.
ERROR_VALUE_FORMATInvalid immediate value format.
ERROR_ILLEGAL_ARRAY_INDEXInvalid array index.
ERROR_ARRAY_INDIRECT_INDEX_NOT_ALLOWED_HEREIndirect array index is not allowed here.
ERROR_ITEM_UNDECLAREDItem is not declared.
ERROR_OUT_OF_PARAMETER_STORAGE_MEMORYNot enough memory for parameter storage.
ERROR_ILLEGAL_ARRAY_SIZEInvalid array size.
ERROR_UNEXPECTED_VARIABLE_REFUnexpected variable reference.
ERROR_UNEXPECTED_CONDITION_REFUnexpected condition reference.
ERROR_INDEX_BITSIZE_UNSUPPORTEDThis index bit size is not supported.
ERROR_EXPECTED_CLOSING_BRACKETClosing bracket expected.
ERROR_UNKNOWN_STRING_FUNCTIONUnknown string function.
ERROR_LOGGING_UNMAPPED_PARAMETERLogging an unmapped parameter.
ERROR_MAPPED_PARAMETER_INTERSECT_PARTIALLYMapped parameters partially overlap.
ERROR_MULTIPLE_WRITERS_FOR_MAPPED_PARAMETERMultiple writers for the same mapped parameter.
ERROR_OBSOLETE_FILE_LAYOUTObsolete task file layout.

Task Object Fields:

FieldTypeDescription
sourceFilestringFile from which the task was loaded.
periodMsintegerTask cycle period in milliseconds.
statestringCurrent task state: idle or running.
lastRunOnstring / nullTime of the last task cycle run (ISO 8601), or null.
lastErrorCodestring / nullTask execution error code, or null if there is none.

Task Execution Error Codes:

CodeDescription
EXC_MB_ILLEGAL_FUNCTIONModbus: illegal function.
EXC_MB_ILLEGAL_DATA_ADDRESSModbus: illegal data address.
EXC_MB_ILLEGAL_DATA_VALUEModbus: illegal data value.
EXC_MB_SLAVE_DEVICE_FAILUREModbus: slave device failure.
EXC_MB_ACKNOWLEDGEModbus: request acknowledged.
EXC_MB_SLAVE_BUSYModbus: slave device busy.
EXC_MB_MEMORY_PARITY_ERRORModbus: memory parity error.
EXC_PARAM_PATH_UNAVAILABLEDevice unavailable; request not sent.
EXC_PARAM_TARGET_FAILEDDevice did not respond.
EXC_TYPE_UNKNOWNUnknown parameter type.
EXC_ACTION_UNKNOWNUnknown action type.
EXC_IOExternal resource error.
EXC_OUT_OF_MEMORYNot enough memory.
EXC_STACK_OVERFLOWStack overflow (too many CALL).
EXC_STACK_UNDERFLOWStack underflow (RETURN without CALL).
EXC_RESULT_INFINITYResult is infinity (division by zero).
EXC_RESULT_COMPLEXResult is complex (SQRT of negative).
EXC_OUT_OF_BOUNDSIndex out of bounds.
EXC_UNKNOWNUnknown error.

Example Response:

{
"memTaskfiles": {
"filesFound": 2,
"loadedOn": "2026-01-12T15:17:31Z",
"heapUsedB": 814,
"errorFile": "/TASKS/CLOCKS.TXT",
"errorLine": 3,
"errorCode": "ERROR_UNSATISFIED_FORWARD_DECLARATION",
"tasks": [
{
"sourceFile": "/TASKS/INIT.TXT",
"periodMs": 60000,
"state": "idle",
"lastRunOn": "2026-01-12T15:18:31Z",
"lastErrorCode": null
}
]
}
}

SD card state information.

Response Fields:

FieldTypeDescription
capacityKbinteger / nullTotal SD card capacity in KB, or null.
freeKbinteger / nullFree space on SD card in KB, or null.
isMountedbooleanMount status (true — mounted).
isInsertedbooleanInsertion status (true — inserted).

Example Response:

{
"memCard": {
"capacityKb": 7667712,
"freeKb": 7651296,
"isMounted": true,
"isInserted": true
}
}

Settings state information.

Response Fields:

FieldTypeDescription
modifyOnstring / nullLast settings modification time (ISO 8601), or null.
isUserModifiedbooleanIndicates if settings are modified but not applied.
isDefaultbooleanIndicates if current settings are defaults.

Example Response:

{
"settings": {
"modifyOn": "2025-05-14T14:58:22+03:00",
"isUserModified": true,
"isDefault": false
}
}

Current device time information.

Response Fields:

FieldTypeDescription
timeLocalstringCurrent local time (ISO 8601).
timeUtcstringCurrent UTC time (ISO 8601).
isDstbooleanDST flag.
sunriseLocalSecinteger / nullSunrise time in seconds from start of day, or null.
sunsetLocalSecinteger / nullSunset time in seconds from start of day, or null.
polarDaybooleanIndicates polar day.
polarNightbooleanIndicates polar night.

Example Response:

{
"time": {
"timeLocal": "2025-05-14T14:29:30+03:00",
"isDst": true,
"timeUtc": "2025-05-14T11:29:30+00:00",
"sunriseLocalSec": 13950,
"sunsetLocalSec": 79606,
"polarDay": false,
"polarNight": false
}
}

Additional diagnostic data.

Response Fields:

FieldTypeDescription
voltagestring / nullCurrent supply voltage, or null.
temperaturenullTemperature is not measured by this model.
resetFlagsarrayLast reset causes flags.

Last Reset Causes Flags:

FlagDescription
RST_CAUSE_BOInsufficient supply power (without total power loss).
RST_CAUSE_POPower off.
RST_CAUSE_SWSoftware reset (user command, critical failure, etc.)
RST_CAUSE_IWDGTask or service is irresponsive for too long (more than 20 seconds).

Example Response:

{
"misc": {
"voltage": "11.9",
"temperature": null,
"resetFlags": ["RST_CAUSE_SW"]
}
}